org.osgi.framework.BundleException: Unresolved constraint in bundle > com.SH_2.test [406]: Unable to resolve 406.0: missing requirement [406.0] > package; > (&(package=org.apache.commons.collections)(version>=3.2.0)(!(version>=4.0.0)))

commons-user | Niall Pemberton | 5 years ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Re: OSGI - missing imported package=org.apache.commons.collections

    commons-user | 5 years ago | Niall Pemberton
    org.osgi.framework.BundleException: Unresolved constraint in bundle > com.SH_2.test [406]: Unable to resolve 406.0: missing requirement [406.0] > package; > (&(package=org.apache.commons.collections)(version>=3.2.0)(!(version>=4.0.0)))
  2. 0

    JSF how upgrade to Mojarra 2.1.21 in Netbeans7.1 (just sub jsf-api.jar and jsf-impl.jar fails)

    Stack Overflow | 4 years ago | Webel IT Australia
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.glassfish.web.weld-integration [301]: Unable to resolve 301.0: missing requirement [301.0] package; (&(package=com.sun.faces.spi)(version>=2.1.0)) [caused by: Unable to resolve 213.1: missing requirement [213.1] package; (package=javax.faces) [caused by: Unable to resolve 211.1: missing requirement [211.1] package; (&(package=javax.el)(version>=2.2.1))]]
  3. 0

    Glassfish - missing package=org.apache.commons.collections

    Stack Overflow | 5 years ago | Peter Penzov
    org.osgi.framework.BundleException: Unresolved constraint in bundle NB_27-impl [337]: Unable to resolve 337.0: missing requirement [337.0] package; (package=org.apache.commons.collections)
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    From jar 2 framework - Java Programming Help - KnowCoding.com

    knowcoding.com | 2 years ago
    org.osgi.framework.BundleException: Unresolved constraint in bundle com.SH_2.test [406]: Unable to resolve 406.0: missing requirement [406.0] package; (&(package=org.apache.commons.collections)(version>=3.2.0)(!(version>=4.0.0)))
  6. 0

    Glassfish server 3 problems - Java Programming Help - KnowCoding.com

    knowcoding.com | 1 year ago
    java.lang.RuntimeException: org.osgi.framework.BundleException: Unresolved constraint in bundle com.SH_2.test [406]: Unable to resolve 406.0: missing requirement [406.0] package; (&(package=org.apache.commons.collections)(version>=3.2.0)(!(version>=4.0.0)))

  1. davidvanlaatum 28 times, last 6 months ago
15 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. org.osgi.framework.BundleException

    Unresolved constraint in bundle > com.SH_2.test [406]: Unable to resolve 406.0: missing requirement [406.0] > package; > (&(package=org.apache.commons.collections)(version>=3.2.0)(!(version>=4.0.0)))

    at org.apache.felix.framework.Felix.resolveBundle()
  2. Apache Felix Framework
    BundleImpl.start
    1. org.apache.felix.framework.Felix.resolveBundle(Felix.java:3443)
    2. org.apache.felix.framework.Felix.startBundle(Felix.java:1727)
    3. org.apache.felix.framework.BundleImpl.start(BundleImpl.java:922)
    3 frames